Reject transaction
curl --request POST \
--url http://127.0.0.1:3000/transaction/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_id": "SONECTljeeQWo99a7TxB"
}
'import requests
url = "http://127.0.0.1:3000/transaction/reject"
payload = { "transaction_id": "SONECTljeeQWo99a7TxB" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction_id: 'SONECTljeeQWo99a7TxB'})
};
fetch('http://127.0.0.1:3000/transaction/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
POS Integration
Reject transaction
When a user confirms the transaction, there might be cases where the user needs to perform SCA on his bank app. In this case, the POS will have to reject the transaction if the user is not performing the SCA on time. We suggest the POS sets a default timeout on its side. Sonect will set a timeout after 40 sec and will then set the transaction status to canceled.
POST
/
transaction
/
reject
Reject transaction
⌘I

